diff --git a/gcc/tree-ssa-reassoc.c b/gcc/tree-ssa-reassoc.c
index a2b0955..0ad5525 100644
--- a/gcc/tree-ssa-reassoc.c
+++ b/gcc/tree-ssa-reassoc.c
@@ -444,7 +444,7 @@ get_rank (tree e)
       /* Otherwise, find the maximum rank for the operands.  As an
 	 exception, remove the bias from loop-carried phis when propagating
 	 the rank so that dependent operations are not also biased.  */
-      /* Simply walk over all SSA uses - this takes advatage of the
+      /* Simply walk over all SSA uses - this takes advantage of the
          fact that non-SSA operands are is_gimple_min_invariant and
 	 thus have rank 0.  */
       rank = 0;
@@ -1265,7 +1265,7 @@ zero_one_operation (tree *def, enum tree_code opcode, tree op)
   tree orig_def = *def;
   gimple *stmt = SSA_NAME_DEF_STMT (*def);
   /* PR72835 - Record the stmt chain that has to be updated such that
-     we dont use the same LHS when the values computed are different.  */
+     we don't use the same LHS when the values computed are different.  */
   auto_vec<gimple *, 64> stmts_to_fix;
 
   do
@@ -4104,7 +4104,7 @@ remove_visited_stmt_chain (tree var)
     }
 }
 
-/* This function checks three consequtive operands in
+/* This function checks three consecutive operands in
    passed operands vector OPS starting from OPINDEX and
    swaps two operands if it is profitable for binary operation
    consuming OPINDEX + 1 abnd OPINDEX + 2 operands.
@@ -5298,7 +5298,7 @@ attempt_builtin_powi (gimple *stmt, vec<operand_entry *> *ops)
 	     high-occurrence elements are visited first, and within the
 	     same occurrence count, lower-ranked elements are visited
 	     first).  Form a linear product of all elements in this order
-	     whose occurrencce count is at least that of element J.
+	     whose occurrence count is at least that of element J.
 	     Record the SSA name representing the product of each element
 	     with all subsequent elements in the vector.  */
 	  if (j == vec_len - 1)
diff --git a/gcc/tree-ssa-sccvn.c b/gcc/tree-ssa-sccvn.c
index c140c35..50fe39e 100644
--- a/gcc/tree-ssa-sccvn.c
+++ b/gcc/tree-ssa-sccvn.c
@@ -3870,7 +3870,7 @@ visit_phi (gimple *phi)
   
   /* If none of the edges was executable or all incoming values are
      undefined keep the value-number at VN_TOP.  If only a single edge
-     is exectuable use its value.  */
+     is executable use its value.  */
   if (sameval == VN_TOP
       || n_executable == 1)
     return set_ssa_val_to (PHI_RESULT (phi), sameval);
diff --git a/gcc/tree-ssa-sink.c b/gcc/tree-ssa-sink.c
index acf832d..4914a1a 100644
--- a/gcc/tree-ssa-sink.c
+++ b/gcc/tree-ssa-sink.c
@@ -177,7 +177,7 @@ nearest_common_dominator_of_uses (def_operand_p def_p, bool *debug_stmts)
 
    If the resulting block is in a shallower loop nest, then use it.  Else
    only use the resulting block if it has significantly lower execution
-   frequency than EARLY_BB to avoid gratutious statement movement.  We
+   frequency than EARLY_BB to avoid gratuitous statement movement.  We
    consider statements with VOPS more desirable to move.
 
    This pass would obviously benefit from PDO as it utilizes block
@@ -224,7 +224,7 @@ select_best_block (basic_block early_bb,
     }
 
   /* If BEST_BB is at the same nesting level, then require it to have
-     significantly lower execution frequency to avoid gratutious movement.  */
+     significantly lower execution frequency to avoid gratuitous movement.  */
   if (bb_loop_depth (best_bb) == bb_loop_depth (early_bb)
       && best_bb->frequency < (early_bb->frequency * threshold / 100.0))
     return best_bb;
diff --git a/gcc/tree-ssa-strlen.c b/gcc/tree-ssa-strlen.c
index e4f18db..3b1f8b5 100644
--- a/gcc/tree-ssa-strlen.c
+++ b/gcc/tree-ssa-strlen.c
@@ -2143,7 +2143,7 @@ handle_char_store (gimple_stmt_iterator *gsi)
 	 the same.  In that case we move to the next gimple statement and
 	 return to signal the caller that it shouldn't invalidate anything.  
 
-	 This is benefical for cases like:
+	 This is beneficial for cases like:
 
 	 char p[20];
 	 void foo (char *q)
diff --git a/gcc/tree-ssa-structalias.c b/gcc/tree-ssa-structalias.c
index a4abd28..3ad8e88 100644
--- a/gcc/tree-ssa-structalias.c
+++ b/gcc/tree-ssa-structalias.c
@@ -5083,7 +5083,7 @@ find_func_clobbers (struct function *fn, gimple *origt)
 	}
     }
 
-  /* Account for uses in assigments and returns.  */
+  /* Account for uses in assignments and returns.  */
   if (gimple_assign_single_p (t)
       || (gimple_code (t) == GIMPLE_RETURN
 	  && gimple_return_retval (as_a <greturn *> (t)) != NULL_TREE))
@@ -7414,7 +7414,7 @@ maybe_set_dependence_info (tree ref, tree ptr,
   return false;
 }
 
-/* Compute the set of independend memory references based on restrict
+/* Compute the set of independent memory references based on restrict
    tags and their conservative propagation to the points-to sets.  */
 
 static void
@@ -7763,7 +7763,7 @@ debug_varmap (void)
   dump_varmap (stderr);
 }
 
-/* Compute whether node is refered to non-locally.  Worker for
+/* Compute whether node is referred to non-locally.  Worker for
    cgraph_for_symbol_thunks_and_aliases.  */
 static bool
 refered_from_nonlocal_fn (struct cgraph_node *node, void *data)
diff --git a/gcc/tree-ssa-threadbackward.c b/gcc/tree-ssa-threadbackward.c
index 24def1d..dcffeda 100644
--- a/gcc/tree-ssa-threadbackward.c
+++ b/gcc/tree-ssa-threadbackward.c
@@ -330,7 +330,7 @@ profitable_jump_thread_path (vec<basic_block, va_gc> *&path,
 
   /* Threading is profitable if the path duplicated is hot but also
      in a case we separate cold path from hot path and permit optimization
-     of the hot path later.  Be on the agressive side here. In some testcases,
+     of the hot path later.  Be on the aggressive side here. In some testcases,
      as in PR 78407 this leads to noticeable improvements.  */
   if (speed_p && (optimize_edge_for_speed_p (taken_edge) || contains_hot_bb))
     {
diff --git a/gcc/tree-ssa-threadedge.c b/gcc/tree-ssa-threadedge.c
index 536c471..15c1336 100644
--- a/gcc/tree-ssa-threadedge.c
+++ b/gcc/tree-ssa-threadedge.c
@@ -814,7 +814,7 @@ propagate_threaded_block_debug_into (basic_block dest, basic_block src)
     fewvars.release ();
 }
 
-/* See if TAKEN_EDGE->dest is a threadable block with no side effecs (ie, it
+/* See if TAKEN_EDGE->dest is a threadable block with no side effects (ie, it
    need not be duplicated as part of the CFG/SSA updating process).
 
    If it is threadable, add it to PATH and VISITED and recurse, ultimately
diff --git a/gcc/tree-ssa-threadupdate.c b/gcc/tree-ssa-threadupdate.c
index 3198268..1c6fd88 100644
--- a/gcc/tree-ssa-threadupdate.c
+++ b/gcc/tree-ssa-threadupdate.c
@@ -2584,7 +2584,7 @@ thread_through_all_blocks (bool may_peel_loop_headers)
   return retval;
 }
 
-/* Delete the jump threading path PATH.  We have to explcitly delete
+/* Delete the jump threading path PATH.  We have to explicitly delete
    each entry in the vector, then the container.  */
 
 void
diff --git a/gcc/tree-ssa-uninit.c b/gcc/tree-ssa-uninit.c
index b587599..225820c 100644
--- a/gcc/tree-ssa-uninit.c
+++ b/gcc/tree-ssa-uninit.c
@@ -326,7 +326,7 @@ warn_uninitialized_vars (bool warn_possibly_uninitialized)
 		 clobbers on all paths to entry.  */
 	      if (fentry_reached
 		  /* ???  We'd like to use ref_may_alias_global_p but that
-		     excludes global readonly memory and thus we get bougs
+		     excludes global readonly memory and thus we get bogus
 		     warnings from p = cond ? "a" : "b" for example.  */
 		  && (!VAR_P (base)
 		      || is_global_var (base)))
@@ -613,7 +613,7 @@ typedef vec<pred_chain, va_heap, vl_ptr> pred_chain_union;
    is the result of AND operation of pred_info mapped to each edge.
    A composite predicate is presented by a vector of pred_info.  On
    return, *PREDS points to the resulting array of composite predicates.
-   *NUM_PREDS is the number of composite predictes.  */
+   *NUM_PREDS is the number of composite predicates.  */
 
 static bool
 convert_control_dep_chain_into_preds (vec<edge> *dep_chains,
@@ -655,7 +655,7 @@ convert_control_dep_chain_into_preds (vec<edge> *dep_chains,
 	  if (is_gimple_call (cond_stmt) && EDGE_COUNT (e->src->succs) >= 2)
 	    /* Ignore EH edge.  Can add assertion on the other edge's flag.  */
 	    continue;
-	  /* Skip if there is essentially one succesor.  */
+	  /* Skip if there is essentially one successor.  */
 	  if (EDGE_COUNT (e->src->succs) == 2)
 	    {
 	      edge e1;
@@ -1213,7 +1213,7 @@ prune_uninit_phi_opnds (gphi *phi, unsigned uninit_opnds, gphi *flag_def,
 
 /* A helper function that determines if the predicate set
    of the use is not overlapping with that of the uninit paths.
-   The most common senario of guarded use is in Example 1:
+   The most common scenario of guarded use is in Example 1:
      Example 1:
 	   if (some_cond)
 	   {
@@ -2027,7 +2027,7 @@ is_degenerated_phi (gimple *phi, pred_info *pred_p)
 }
 
 /* Normalize one predicate PRED
-   1) if PRED can no longer be normlized, put it into NORM_PREDS.
+   1) if PRED can no longer be normalized, put it into NORM_PREDS.
    2) otherwise if PRED is of the form x != 0, follow x's definition
       and put normalized predicates into WORK_LIST.  */
 
diff --git a/gcc/tree-ssanames.h b/gcc/tree-ssanames.h
index 9a18394..058fb80 100644
--- a/gcc/tree-ssanames.h
+++ b/gcc/tree-ssanames.h
@@ -1,4 +1,4 @@
-/* SSA name expresssons routines
+/* SSA name expression routines
    Copyright (C) 2013-2017 Free Software Foundation, Inc.
 
 This file is part of GCC.
diff --git a/gcc/tree-streamer-out.c b/gcc/tree-streamer-out.c
index 05239fb..d7841cc 100644
--- a/gcc/tree-streamer-out.c
+++ b/gcc/tree-streamer-out.c
@@ -769,7 +769,7 @@ write_ts_block_tree_pointers (struct output_block *ob, tree expr, bool ref_p)
   /* Stream BLOCK_ABSTRACT_ORIGIN for the limited cases we can handle - those
      that represent inlined function scopes.
      For the rest them on the floor instead of ICEing in dwarf2out.c, but
-     keep the notion of whether the block is an inlined block by refering
+     keep the notion of whether the block is an inlined block by referring
      to itself for the sake of tree_nonartificial_location.  */
   if (inlined_function_outer_scope_p (expr))
     {
diff --git a/gcc/tree-vect-data-refs.c b/gcc/tree-vect-data-refs.c
index e8e2658..cd80057 100644
--- a/gcc/tree-vect-data-refs.c
+++ b/gcc/tree-vect-data-refs.c
@@ -790,7 +790,7 @@ vect_compute_data_ref_alignment (struct data_reference *dr)
     {
       /* Note all this only works if DR_BASE_ADDRESS is the same as
 	 MEM_REF operand zero, otherwise DR/SCEV analysis might have factored
-	 in other offsets.  We need to rework DR to compute the alingment
+	 in other offsets.  We need to rework DR to compute the alignment
 	 of DR_BASE_ADDRESS as long as all information is still available.  */
       if (operand_equal_p (TREE_OPERAND (base, 0), base_addr, 0))
 	{
@@ -5376,7 +5376,7 @@ vect_permute_load_chain (vec<tree> dr_chain,
    Given a chain of loads in DR_CHAIN of LENGTH 2 or 3, generate
    sequence of stmts to reorder the input data accordingly.
    Return the final references for loads in RESULT_CHAIN.
-   Return true if successed, false otherwise.
+   Return true if successful, false otherwise.
 
    E.g., LENGTH is 3 and the scalar type is short, i.e., VF is 8.
    The input is 3 vectors each containing 8 elements.  We assign a
diff --git a/gcc/tree-vect-generic.c b/gcc/tree-vect-generic.c
index c1b3c24..353f154 100644
--- a/gcc/tree-vect-generic.c
+++ b/gcc/tree-vect-generic.c
@@ -1172,7 +1172,7 @@ type_for_widest_vector_mode (tree type, optab op)
    ARRAY_REF expression.
 
    GSI is required to insert temporary variables while building a
-   refernece to the element of the vector VECT.
+   reference to the element of the vector VECT.
 
    PTMPVEC is a pointer to the temporary variable for caching
    purposes.  In case when PTMPVEC is NULL new temporary variable
diff --git a/gcc/tree-vect-loop-manip.c b/gcc/tree-vect-loop-manip.c
index 42b9f48..c5ddd56 100644
--- a/gcc/tree-vect-loop-manip.c
+++ b/gcc/tree-vect-loop-manip.c
@@ -1151,7 +1151,7 @@ vect_gen_scalar_loop_niters (tree niters_prolog, int int_niters_prolog,
 	  return build_int_cst (type, *bound_scalar);
 	}
       /* Peeling for unknown times.  Note BOUND_PROLOG is the upper
-	 bound (inlcuded) of niters of prolog loop.  */
+	 bound (included) of niters of prolog loop.  */
       if (th >=  vfm1 + bound_prolog)
 	{
 	  *bound_scalar = th;
@@ -1264,7 +1264,7 @@ vect_gen_vector_loop_niters_mult_vf (loop_vec_info loop_vinfo,
   *niters_vector_mult_vf_ptr = niters_vector_mult_vf;
 }
 
-/* Function slpeel_tree_duplicate_loop_to_edge_cfg duplciates FIRST/SECOND
+/* Function slpeel_tree_duplicate_loop_to_edge_cfg duplicates FIRST/SECOND
    from SECOND/FIRST and puts it at the original loop's preheader/exit
    edge, the two loops are arranged as below:
 
diff --git a/gcc/tree-vect-loop.c b/gcc/tree-vect-loop.c
index 107f082..b61d7ec 100644
--- a/gcc/tree-vect-loop.c
+++ b/gcc/tree-vect-loop.c
@@ -2045,7 +2045,7 @@ start_over:
   if (!ok)
     return false;
 
-  /* Do not invoke vect_enhance_data_refs_alignment for eplilogue
+  /* Do not invoke vect_enhance_data_refs_alignment for epilogue
      vectorization.  */
   if (!LOOP_VINFO_EPILOGUE_P (loop_vinfo))
     {
@@ -4185,7 +4185,7 @@ vect_create_epilog_for_reduction (vec<tree> vect_defs, gimple *stmt,
 	      == INTEGER_INDUC_COND_REDUCTION)
 	    {
 	      /* Initialise the reduction phi to zero.  This prevents initial
-		 values of non-zero interferring with the reduction op.  */
+		 values of non-zero interfering with the reduction op.  */
 	      gcc_assert (ncopies == 1);
 	      gcc_assert (i == 0);
 
@@ -5680,7 +5680,7 @@ vectorizable_reduction (gimple *stmt, gimple_stmt_iterator *gsi,
       return false;
     }
 
-  /* In case of widenning multiplication by a constant, we update the type
+  /* In case of widening multiplication by a constant, we update the type
      of the constant to be the type of the other operand.  We check that the
      constant fits the type in the pattern recognition pass.  */
   if (code == DOT_PROD_EXPR
diff --git a/gcc/tree-vect-patterns.c b/gcc/tree-vect-patterns.c
index 39f0133..377285c7 100644
--- a/gcc/tree-vect-patterns.c
+++ b/gcc/tree-vect-patterns.c
@@ -77,8 +77,8 @@ struct vect_recog_func
 };
 
 /* Note that ordering matters - the first pattern matching on a stmt
-   is taken which means usually the more complex one needs to preceed
-   the less comples onex (widen_sum only after dot_prod or sad for example).  */
+   is taken which means usually the more complex one needs to precede
+   the less complex one (widen_sum only after dot_prod or sad for example).  */
 static vect_recog_func vect_vect_recog_func_ptrs[NUM_PATTERNS] = {
       { vect_recog_widen_mult_pattern, "widen_mult" },
       { vect_recog_dot_prod_pattern, "dot_prod" },
@@ -680,7 +680,7 @@ vect_recog_sad_pattern (vec<gimple *> *stmts, tree *type_in,
 
    Otherwise, if the type of the result (TYPE) is at least 4 times bigger than
    HALF_TYPE, and there is an intermediate type (2 times smaller than TYPE)
-   that satisfies the above restrictions,  we can perform a widening opeartion
+   that satisfies the above restrictions,  we can perform a widening operation
    from the intermediate type to TYPE and replace a_T = (TYPE) a_t;
    with a_it = (interm_type) a_t;  Store such operation in *WSTMT.  */
 
@@ -980,7 +980,7 @@ vect_recog_widen_mult_pattern (vec<gimple *> *stmts,
       STMT_VINFO_VECTYPE (new_stmt_info) = vectype;
     }
 
-  /* If ITYPE is not TYPE, we need to build a type convertion stmt to convert
+  /* If ITYPE is not TYPE, we need to build a type conversion stmt to convert
      the result of the widen-mult operation into type TYPE.  */
   if (itype != type)
     {
@@ -1488,7 +1488,7 @@ vect_recog_over_widening_pattern (vec<gimple *> *stmts,
         return NULL;
 
       /* We want to collect all the statements for which we create pattern
-         statetments, except for the case when the last statement in the
+         statements, except for the case when the last statement in the
          sequence doesn't have a corresponding pattern statement.  In such
          case we associate the last pattern statement with the last statement
          in the sequence.  Therefore, we only add the original statement to
@@ -1525,7 +1525,7 @@ vect_recog_over_widening_pattern (vec<gimple *> *stmts,
     {
       use_lhs = gimple_assign_lhs (use_stmt);
       use_type = TREE_TYPE (use_lhs);
-      /* Support only type demotion or signedess change.  */
+      /* Support only type demotion or signedness change.  */
       if (!INTEGRAL_TYPE_P (use_type)
 	  || TYPE_PRECISION (type) <= TYPE_PRECISION (use_type))
         return NULL;
@@ -3841,7 +3841,7 @@ build_mask_conversion (tree mask, tree vectype, stmt_vec_info stmt_vinfo,
 /* Function vect_recog_mask_conversion_pattern
 
    Try to find statements which require boolean type
-   converison.  Additional conversion statements are
+   conversion.  Additional conversion statements are
    added to handle such cases.  For example:
 
    bool m_1, m_2, m_3;
diff --git a/gcc/tree-vect-slp.c b/gcc/tree-vect-slp.c
index 31194b8..41d63e3 100644
--- a/gcc/tree-vect-slp.c
+++ b/gcc/tree-vect-slp.c
@@ -485,11 +485,11 @@ again:
    is false then this indicates the comparison could not be
    carried out or the stmts will never be vectorized by SLP.
 
-   Note COND_EXPR is possibly ismorphic to another one after swapping its
+   Note COND_EXPR is possibly isomorphic to another one after swapping its
    operands.  Set SWAP[i] to 1 if stmt I is COND_EXPR and isomorphic to
    the first stmt by swapping the two operands of comparison; set SWAP[i]
-   to 2 if stmt I is isormorphic to the first stmt by inverting the code
-   of comparison.  Take A1 >= B1 ? X1 : Y1 as an exmple, it can be swapped
+   to 2 if stmt I is isomorphic to the first stmt by inverting the code
+   of comparison.  Take A1 >= B1 ? X1 : Y1 as an example, it can be swapped
    to (B1 <= A1 ? X1 : Y1); or be inverted to (A1 < B1) ? Y1 : X1.  */
 
 static bool
@@ -1046,7 +1046,7 @@ vect_build_slp_tree (vec_info *vinfo,
          simply treat nodes we fail to build as externally defined
 	 (and thus build vectors from the scalar defs).
 	 The cost model will reject outright expensive cases.
-	 ???  This doesn't treat cases where permutation ultimatively
+	 ???  This doesn't treat cases where permutation ultimately
 	 fails (or we don't try permutation below).  Ideally we'd
 	 even compute a permutation that will end up with the maximum
 	 SLP tree size...  */
@@ -1433,7 +1433,7 @@ vect_supported_load_permutation_p (slp_instance slp_instn)
 
   /* In basic block vectorization we allow any subchain of an interleaving
      chain.
-     FORNOW: not supported in loop SLP because of realignment compications.  */
+     FORNOW: not supported in loop SLP because of realignment complications.  */
   if (STMT_VINFO_BB_VINFO (vinfo_for_stmt (stmt)))
     {
       /* Check whether the loads in an instance form a subchain and thus
diff --git a/gcc/tree-vect-stmts.c b/gcc/tree-vect-stmts.c
index 1e9d42c..68b6a61 100644
--- a/gcc/tree-vect-stmts.c
+++ b/gcc/tree-vect-stmts.c
@@ -2340,7 +2340,7 @@ vectorizable_mask_load_store (gimple *stmt, gimple_stmt_iterator *gsi,
 	      tree rhs = gimple_call_arg (stmt, 3);
 	      vec_rhs = vect_get_vec_def_for_operand (rhs, stmt);
 	      vec_mask = vect_get_vec_def_for_operand (mask, stmt);
-	      /* We should have catched mismatched types earlier.  */
+	      /* We should have caught mismatched types earlier.  */
 	      gcc_assert (useless_type_conversion_p (vectype,
 						     TREE_TYPE (vec_rhs)));
 	      dataref_ptr = vect_create_data_ref_ptr (stmt, vectype, NULL,
@@ -6255,7 +6255,7 @@ vectorizable_store (gimple *stmt, gimple_stmt_iterator *gsi, gimple **vec_stmt,
 		}
 	    }
 
-	  /* We should have catched mismatched types earlier.  */
+	  /* We should have caught mismatched types earlier.  */
 	  gcc_assert (useless_type_conversion_p (vectype,
 						 TREE_TYPE (vec_oprnd)));
 	  bool simd_lane_access_p
@@ -6511,7 +6511,7 @@ hoist_defs_of_uses (gimple *stmt, struct loop *loop)
 	{
 	  /* Make sure we don't need to recurse.  While we could do
 	     so in simple cases when there are more complex use webs
-	     we don't have an easy way to preserve stmt order to fulfil
+	     we don't have an easy way to preserve stmt order to fulfill
 	     dependencies within them.  */
 	  tree op2;
 	  ssa_op_iter i2;
diff --git a/gcc/tree-vectorizer.h b/gcc/tree-vectorizer.h
index df8da9e..ee17f3a 100644
--- a/gcc/tree-vectorizer.h
+++ b/gcc/tree-vectorizer.h
@@ -207,7 +207,7 @@ typedef struct _loop_vec_info : public vec_info {
   /* Condition under which this loop is analyzed and versioned.  */
   tree num_iters_assumptions;
 
-  /* Threshold of number of iterations below which vectorzation will not be
+  /* Threshold of number of iterations below which vectorization will not be
      performed. It is calculated from MIN_PROFITABLE_ITERS and
      PARAM_MIN_VECT_LOOP_BOUND.  */
   unsigned int th;
diff --git a/gcc/tree-vrp.c b/gcc/tree-vrp.c
index 716a7c2..2487541 100644
--- a/gcc/tree-vrp.c
+++ b/gcc/tree-vrp.c
@@ -1234,7 +1234,7 @@ value_range_nonnegative_p (value_range *vr)
   return false;
 }
 
-/* If *VR has a value rante that is a single constant value return that,
+/* If *VR has a value range that is a single constant value return that,
    otherwise return NULL_TREE.  */
 
 static tree
@@ -2468,7 +2468,7 @@ extract_range_from_binary_expr_1 (value_range *vr,
 	  vrp_int size = sizem1 + 1;
 
 	  /* Extend the values using the sign of the result to PREC2.
-	     From here on out, everthing is just signed math no matter
+	     From here on out, everything is just signed math no matter
 	     what the input types were.  */
           vrp_int min0 = vrp_int_cst (vr0.min);
           vrp_int max0 = vrp_int_cst (vr0.max);
@@ -2646,7 +2646,7 @@ extract_range_from_binary_expr_1 (value_range *vr,
 		      /* For non-negative numbers, we're shifting out only
 			 zeroes, the value increases monotonically.
 			 For negative numbers, we're shifting out only ones, the
-			 value decreases monotomically.  */
+			 value decreases monotonically.  */
 		      in_bounds = true;
 		    }
 		}
@@ -4141,7 +4141,7 @@ adjust_range_with_scev (value_range *vr, struct loop *loop,
    - Return NULL_TREE if it is not always possible to determine the
      value of the comparison.
 
-   Also set *STRICT_OVERFLOW_P to indicate whether comparision evaluation
+   Also set *STRICT_OVERFLOW_P to indicate whether comparison evaluation
    assumed signed overflow is undefined.  */
 
 
@@ -4282,7 +4282,7 @@ compare_ranges (enum tree_code comp, value_range *vr0, value_range *vr1,
    values in VR.  Return BOOLEAN_FALSE_NODE if the comparison
    always returns false.  Return NULL_TREE if it is not always
    possible to determine the value of the comparison.  Also set
-   *STRICT_OVERFLOW_P to indicate whether comparision evaluation
+   *STRICT_OVERFLOW_P to indicate whether comparison evaluation
    assumed signed overflow is undefined.  */
 
 static tree
@@ -7899,7 +7899,7 @@ vrp_visit_switch_stmt (gswitch *stmt, edge *taken_edge_p)
 
 
 /* Evaluate statement STMT.  If the statement produces a useful range,
-   set VR and corepsponding OUTPUT_P.
+   set VR and corresponding OUTPUT_P.
 
    If STMT is a conditional branch and we can determine its truth
    value, the taken edge is recorded in *TAKEN_EDGE_P.  */
@@ -10212,7 +10212,7 @@ simplify_stmt_using_ranges (gimple_stmt_iterator *gsi)
 	      cmp_var = rhs1;
 	    }
 
-	  /* If we could not find two-vals or the optimzation is invalid as
+	  /* If we could not find two-vals or the optimization is invalid as
 	     in divide by zero, new_rhs1 / new_rhs will be NULL_TREE.  */
 	  if (new_rhs1 && new_rhs2)
 	    {
@@ -11213,7 +11213,7 @@ execute_early_vrp ()
 
   /* Fixup stmts that became noreturn calls.  This may require splitting
      blocks and thus isn't possible during the dominator walk.  Do this
-     in reverse order so we don't inadvertedly remove a stmt we want to
+     in reverse order so we don't inadvertently remove a stmt we want to
      fixup by visiting a dominating now noreturn call first.  */
   while (!walker.stmts_to_fixup.is_empty ())
     {
diff --git a/gcc/tree.c b/gcc/tree.c
index a58f9aa..70b55e2 100644
--- a/gcc/tree.c
+++ b/gcc/tree.c
@@ -1162,7 +1162,7 @@ copy_node_stat (tree node MEM_STAT_DECL)
 	  SET_DECL_VALUE_EXPR (t, DECL_VALUE_EXPR (node));
 	  DECL_HAS_VALUE_EXPR_P (t) = 1;
 	}
-      /* DECL_DEBUG_EXPR is copied explicitely by callers.  */
+      /* DECL_DEBUG_EXPR is copied explicitly by callers.  */
       if (VAR_P (node))
 	{
 	  DECL_HAS_DEBUG_EXPR_P (t) = 0;
@@ -4621,7 +4621,7 @@ build5_stat (enum tree_code code, tree tt, tree arg0, tree arg1,
   return t;
 }
 
-/* Build a simple MEM_REF tree with the sematics of a plain INDIRECT_REF
+/* Build a simple MEM_REF tree with the semantics of a plain INDIRECT_REF
    on the pointer PTR.  */
 
 tree
@@ -9765,7 +9765,7 @@ get_file_function_name (const char *type)
   /* If the target is handling the constructors/destructors, they
      will be local to this file and the name is only necessary for
      debugging purposes. 
-     We also assign sub_I and sub_D sufixes to constructors called from
+     We also assign sub_I and sub_D suffixes to constructors called from
      the global static constructors.  These are always local.  */
   else if (((type[0] == 'I' || type[0] == 'D') && targetm.have_ctors_dtors)
 	   || (strncmp (type, "sub_", 4) == 0
@@ -13481,7 +13481,7 @@ verify_type_variant (const_tree t, tree tv)
     verify_variant_match (TYPE_TRANSPARENT_AGGR);
   else if (TREE_CODE (t) == ARRAY_TYPE)
     verify_variant_match (TYPE_NONALIASED_COMPONENT);
-  /* During LTO we merge variant lists from diferent translation units
+  /* During LTO we merge variant lists from different translation units
      that may differ BY TYPE_CONTEXT that in turn may point 
      to TRANSLATION_UNIT_DECL.
      Ada also builds variants of types with different TYPE_CONTEXT.   */
@@ -13691,7 +13691,7 @@ gimple_canonical_types_compatible_p (const_tree t1, const_tree t2,
      need to ensure that we are never called on it.
 
      FIXME: For more correctness the function probably should have three modes
-	1) mode assuming that types are complete mathcing their structure
+	1) mode assuming that types are complete matching their structure
 	2) mode allowing incomplete types but producing equivalence classes
 	   and thus ignoring all info from complete types
 	3) mode allowing incomplete types to match complete but checking
@@ -13712,7 +13712,7 @@ gimple_canonical_types_compatible_p (const_tree t1, const_tree t2,
       /* Do not use TYPE_CANONICAL of pointer types.  For LTO streamed types
 	 they are always NULL, but they are set to non-NULL for types
 	 constructed by build_pointer_type and variants.  In this case the
-	 TYPE_CANONICAL is more fine grained than the equivalnce we test (where
+	 TYPE_CANONICAL is more fine grained than the equivalence we test (where
 	 all pointers are considered equal.  Be sure to not return false
 	 negatives.  */
       gcc_checking_assert (canonical_type_used_p (t1)
@@ -13745,7 +13745,7 @@ gimple_canonical_types_compatible_p (const_tree t1, const_tree t2,
       || TREE_CODE (t1) == OFFSET_TYPE
       || POINTER_TYPE_P (t1))
     {
-      /* Can't be the same type if they have different recision.  */
+      /* Can't be the same type if they have different precision.  */
       if (TYPE_PRECISION (t1) != TYPE_PRECISION (t2))
 	return false;
 
@@ -14125,7 +14125,7 @@ verify_type (const_tree t)
 	tree value = TREE_VALUE (l);
 	tree name = TREE_PURPOSE (l);
 
-	/* C FE porduce INTEGER_CST of INTEGER_TYPE, while C++ FE uses
+	/* C FE produce INTEGER_CST of INTEGER_TYPE, while C++ FE uses
  	   CONST_DECL of ENUMERAL TYPE.  */
 	if (TREE_CODE (value) != INTEGER_CST && TREE_CODE (value) != CONST_DECL)
 	  {
@@ -14511,7 +14511,7 @@ get_nonnull_args (const_tree fntype)
   /* A function declaration can specify multiple attribute nonnull,
      each with zero or more arguments.  The loop below creates a bitmap
      representing a union of all the arguments.  An empty (but non-null)
-     bitmap means that all arguments have been declaraed nonnull.  */
+     bitmap means that all arguments have been declared nonnull.  */
   for ( ; attrs; attrs = TREE_CHAIN (attrs))
     {
       attrs = lookup_attribute ("nonnull", attrs);
diff --git a/gcc/tree.h b/gcc/tree.h
index c6e883c..96b2214 100644
--- a/gcc/tree.h
+++ b/gcc/tree.h
@@ -2741,7 +2741,7 @@ extern void decl_value_expr_insert (tree, tree);
 #define DECL_SEEN_IN_BIND_EXPR_P(NODE) \
   (DECL_WITH_VIS_CHECK (NODE)->decl_with_vis.seen_in_bind_expr)
 
-/* Value of the decls's visibility attribute */
+/* Value of the decl's visibility attribute */
 #define DECL_VISIBILITY(NODE) \
   (DECL_WITH_VIS_CHECK (NODE)->decl_with_vis.visibility)
 
@@ -2998,7 +2998,7 @@ extern vec<tree, va_gc> **decl_debug_args_insert (tree);
    (FUNCTION_DECL_CHECK (NODE)->function_decl.versioned_function)
 
 /* In FUNCTION_DECL, this is set if this function is a C++ constructor.
-   Devirtualization machinery uses this knowledge for determing type of the
+   Devirtualization machinery uses this knowledge for determining type of the
    object constructed.  Also we assume that constructor address is not
    important.  */
 #define DECL_CXX_CONSTRUCTOR_P(NODE)\
@@ -4922,7 +4922,7 @@ tree_code_for_canonical_type_merging (enum tree_code code)
   return code;
 }
 
-/* Return ture if get_alias_set care about TYPE_CANONICAL of given type.
+/* Return true if get_alias_set care about TYPE_CANONICAL of given type.
    We don't define the types for pointers, arrays and vectors.  The reason is
    that pointers are handled specially: ptr_type_node accesses conflict with
    accesses to all other pointers.  This is done by alias.c.
@@ -5332,7 +5332,7 @@ wi::extended_tree <N>::get_len () const
   else
     /* This class is designed to be used for specific output precisions
        and needs to be as fast as possible, so there is no fallback for
-       other casees.  */
+       other cases.  */
     gcc_unreachable ();
 }
 
diff --git a/gcc/ubsan.c b/gcc/ubsan.c
index a4808d2..9b021e1 100644
--- a/gcc/ubsan.c
+++ b/gcc/ubsan.c
@@ -1473,7 +1473,7 @@ instrument_bool_enum_load (gimple_stmt_iterator *gsi)
 }
 
 /* Determine if we can propagate given LOCATION to ubsan_data descriptor to use
-   new style handlers.  Libubsan uses heuristics to destinguish between old and
+   new style handlers.  Libubsan uses heuristics to distinguish between old and
    new styles and relies on these properties for filename:
 
    a) Location's filename must not be NULL.
diff --git a/gcc/value-prof.c b/gcc/value-prof.c
index 7f1574a..ea4af0c 100644
--- a/gcc/value-prof.c
+++ b/gcc/value-prof.c
@@ -84,7 +84,7 @@ along with GCC; see the file COPYING3.  If not see
    compute_value_histograms() that translates the collected data to
    histograms and attaches them to the profiled statements via
    gimple_add_histogram_value().  Histograms are stored in a hash table
-   that is attached to every intrumented function, see VALUE_HISTOGRAMS
+   that is attached to every instrumented function, see VALUE_HISTOGRAMS
    in function.h.
    
    The value-profile transformations driver is the function
